#include "AudioBuffer.h"

AudioBuffer::AudioBuffer ()
{
  refCount = 0;
  sample=NULL;
}

AudioBuffer::~AudioBuffer ()
{
}

void AudioBuffer::incRefCount ()
{
  if (refCount < 2 ^ 32)
    refCount ++;
}

void AudioBuffer::decRefCount ()
{
  if (refCount > 0)
    refCount --;
}

uint32_t AudioBuffer::getRefCount ()
{
  return refCount;
}

Mix_Chunk * AudioBuffer::getSample()
{
  return sample;
}

void AudioBuffer::setSample (Mix_Chunk* sam)
{
  sample=sam;
}
